Why is there a minimum firmware version of instrument?

Hello,

we are using Empower 3 fr.2 and we are in a transformation from old instrument,like Agilent 6890 or 7890 gc's to new instruments like, Agilent 8890 gc's. To connect and run to an Agilent 8890 you need to run ICF3.2, so we installed this one to the lace's and to Citrix server.
Now we have more and more problems with older systems, because we still have some older systems. At the moment of installation in worked but after 2 months we notice some problems. I have noticed the firmware version on the older gc's or headspace samplers are not always up to date to the minimum firmware version which is given in the release notes of ICF 3.2.

My question is what's the importance of the right firmware version?

Best Answer

  • MJSMJS
    Accepted Answer
    The ICF dictates communication protocols/drivers for the computer to communicate with the instrument...essentially the language they communicate in.  If the PC and instrument can't speak the exact same language/revision, they will fail at times.

Answers

  • edited March 3
    Hi, when you installed the latest ICF the release notes (RN) should have warned you of older version requirements. There is a whole dance between the servers and Lace that provides everything to work. It is a framework that allows Waters to connect Agilent drivers and instrument FW together like layers into the Enterprise E3.
    Likely the root issue is the older Lace with driver mismatch to the Citrix servers.
    You will need to upgrade the older ICF versions and *possibly* upgrade firmware on those older instruments. At the least the older Agilent instruments host Lace must match the ICF and driver versions from the RN.
    The work between companies is getting better, and it is the whole systems/drivers/FW that must be addressed. How many systems are involved? Sometimes the older versions can be quite painful and time consuming to get updated. An uninstall - fresh install for Agilent drivers and the ICF may be best.
    ~ Regards, John
  • Will Agilent ICF 3.0 on a Citrix server work with older versions on a LAC/E? - WKB24614

    From page 20 of the ICF 3.0 Release Notes:

    Agilent ICF Support v3.0 is compatible in these environments:
        When Agilent ICF Support v2.1 Hotfix 1 (with at least ICF Update A.01.05) or Agilent ICF Support v2.2 is installed on a LAC/E module and Agilent ICF Support v3.0 is installed on a Citrix server.

        On an acquisition system that contains the current Agilent LC v1.06 ICS, the current Agilent 7890 GC v2.6 ICS, the current Agilent 6850 GC v1.40 ICS, HeadSpace Control Option v3.0, or the current released Waters driver pack.



  • Tnx for your answers. We are going to update the firmware of the systems so it will match with the release notes. And hopefully it will solve some of our problems.
  • Agilent ICF Support Layer v 3.2 Release Notes
    These release notes explain how to install Waters ICF Support Layer version 3.2 for the Agilent Instrument Control Framework (ICF) version A.02.05, for control of all supported Agilent Liquid Chromatography (LC) and Gas Chromatography (GC) modules.

    Note: To understand the full impact of the interaction between the Waters ICF Support Layer and Agilent ICF, you may need more information on Agilent ICF. Refer to the Agilent Instrument Control Framework (Agilent ICF) document available from the www.agilent.com website.Important: You must use the Agilent ICF release notes to understand its functionality, including known issues and supported configurations.

    ..To use this software on an Empower Enterprise (client/server) system, you must install it on every LAC/E module, client, and Citrix application server that interacts with the Agilent instrument, its methods, or results.

    Important compatibility notices The Waters ICF Support Layer v3.2 is backwards compatible with LAC/E modules installed with ICF Support Layer v3.1 and ICF Support Layer v3.0 in Empower for:• Agilent Liquid Chromatography (LC)• Agilent Gas Chromatography (GC) with Liquid Sampler All LAC/E modules running Agilent GC with Headspace Sampler must be upgraded to ICF Support Layer v3.1 or ICF Support Layer v3.2 with the A.02.05 Agilent Instrument Control Framework. Be aware that functionalities included with the ICF Support Layer v3.2 cannot be used on Agilent systems connected to a LAC/E with ICF Support Layer v3.1 or ICF Support Layer v3.0 installed.October 1, 2019, 716006270 Rev. A Page 24


  • Agilent ICF Support Layer v 3.2 Release Notes
    These release notes explain how to install Waters ICF Support Layer version 3.2 for the Agilent Instrument Control Framework (ICF) version A.02.05, for control of all supported Agilent Liquid Chromatography (LC) and Gas Chromatography (GC) modules.

    Note: To understand the full impact of the interaction between the Waters ICF Support Layer and Agilent ICF, you may need more information on Agilent ICF. Refer to the Agilent Instrument Control Framework (Agilent ICF) document available from the www.agilent.com website.Important: You must use the Agilent ICF release notes to understand its functionality, including known issues and supported configurations.

    ..To use this software on an Empower Enterprise (client/server) system, you must install it on every LAC/E module, client, and Citrix application server that interacts with the Agilent instrument, its methods, or results.

    Important compatibility notices The Waters ICF Support Layer v3.2 is backwards compatible with LAC/E modules installed with ICF Support Layer v3.1 and ICF Support Layer v3.0 in Empower for:• Agilent Liquid Chromatography (LC)• Agilent Gas Chromatography (GC) with Liquid Sampler All LAC/E modules running Agilent GC with Headspace Sampler must be upgraded to ICF Support Layer v3.1 or ICF Support Layer v3.2 with the A.02.05 Agilent Instrument Control Framework. Be aware that functionalities included with the ICF Support Layer v3.2 cannot be used on Agilent systems connected to a LAC/E with ICF Support Layer v3.1 or ICF Support Layer v3.0 installed.October 1, 2019, 716006270 Rev. A Page 24


  • Agilent ICF Support Layer v 3.2 Release Notes
    These release notes explain how to install Waters ICF Support Layer version 3.2 for the Agilent Instrument Control Framework (ICF) version A.02.05, for control of all supported Agilent Liquid Chromatography (LC) and Gas Chromatography (GC) modules.

    Note: To understand the full impact of the interaction between the Waters ICF Support Layer and Agilent ICF, you may need more information on Agilent ICF. Refer to the Agilent Instrument Control Framework (Agilent ICF) document available from the www.agilent.com website.Important: You must use the Agilent ICF release notes to understand its functionality, including known issues and supported configurations.

    ..To use this software on an Empower Enterprise (client/server) system, you must install it on every LAC/E module, client, and Citrix application server that interacts with the Agilent instrument, its methods, or results.

    Important compatibility notices The Waters ICF Support Layer v3.2 is backwards compatible with LAC/E modules installed with ICF Support Layer v3.1 and ICF Support Layer v3.0 in Empower for:• Agilent Liquid Chromatography (LC)• Agilent Gas Chromatography (GC) with Liquid Sampler All LAC/E modules running Agilent GC with Headspace Sampler must be upgraded to ICF Support Layer v3.1 or ICF Support Layer v3.2 with the A.02.05 Agilent Instrument Control Framework. Be aware that functionalities included with the ICF Support Layer v3.2 cannot be used on Agilent systems connected to a LAC/E with ICF Support Layer v3.1 or ICF Support Layer v3.0 installed.October 1, 2019, 716006270 Rev. A Page 24


  • Agilent ICF Support Layer v 3.2 Release Notes
    These release notes explain how to install Waters ICF Support Layer version 3.2 for the Agilent Instrument Control Framework (ICF) version A.02.05, for control of all supported Agilent Liquid Chromatography (LC) and Gas Chromatography (GC) modules.

    Note: To understand the full impact of the interaction between the Waters ICF Support Layer and Agilent ICF, you may need more information on Agilent ICF. Refer to the Agilent Instrument Control Framework (Agilent ICF) document available from the www.agilent.com website.Important: You must use the Agilent ICF release notes to understand its functionality, including known issues and supported configurations.

    ..To use this software on an Empower Enterprise (client/server) system, you must install it on every LAC/E module, client, and Citrix application server that interacts with the Agilent instrument, its methods, or results.

    Important compatibility notices The Waters ICF Support Layer v3.2 is backwards compatible with LAC/E modules installed with ICF Support Layer v3.1 and ICF Support Layer v3.0 in Empower for:• Agilent Liquid Chromatography (LC)• Agilent Gas Chromatography (GC) with Liquid Sampler All LAC/E modules running Agilent GC with Headspace Sampler must be upgraded to ICF Support Layer v3.1 or ICF Support Layer v3.2 with the A.02.05 Agilent Instrument Control Framework. Be aware that functionalities included with the ICF Support Layer v3.2 cannot be used on Agilent systems connected to a LAC/E with ICF Support Layer v3.1 or ICF Support Layer v3.0 installed.October 1, 2019, 716006270 Rev. A Page 24


Sign In or Register to comment.